import numpy as np

tile_geodat = np.zeros((16, 2, 2), dtype='int')
module_geodat = np.zeros((16, 2), dtype='int')
quad_geodat = np.zeros((4, 2), dtype='int')
# tile_geodat: [[voffset, hoffset], [is_flip, axis]]
# axis= 0, flip up-down
# axis= 1, flip left-right
# fractional shifts not included so far
tile_geodat[0:8, :, :] = [[0, 8], [1, 1]]
tile_geodat[8::, :, :] = [[0, 8], [1, 0]]

module_geodat[0, :] = [0, 0]
module_geodat[1, :] = [19, 0]
module_geodat[2, :] = [18, 0]
module_geodat[3, :] = [19, 0]

module_geodat[4, :] = [0, 0]
module_geodat[5, :] = [19, 0]
module_geodat[6, :] = [19, 0]
module_geodat[7, :] = [18, 0]

module_geodat[11, :] = [0, 0]
module_geodat[10, :] = [19, 0]
module_geodat[9, :] = [18, 0]
module_geodat[8, :] = [19, 0]

module_geodat[15, :] = [0, 0]
module_geodat[14, :] = [19, 0]
module_geodat[13, :] = [19, 0]
module_geodat[12, :] = [18, 0]

quad_geodat[0, :] = [10, 17]  # [quadrant 1, insert, gap]
quad_geodat[1, :] = [8, 26]  # [quadrant 2, insert, gap]
quad_geodat[2, :] = [-9, 19]  # [quadrant 3, insert, gap]
quad_geodat[3, :] = [-9, 25]  # [quadrant 4, insert, gap]
